# dmxvisual.h File Reference

`#include "scrnintstr.h"`

Go to the source code of this file.

## Functions

Visual * | dmxLookupVisual (ScreenPtr pScreen, VisualPtr pVisual)
Visual * | dmxLookupVisualFromID (ScreenPtr pScreen, VisualID vid)
Colormap | dmxColormapFromDefaultVisual (ScreenPtr pScreen, Visual *visual)

## Detailed Description

Interface for visual support.

See also:
  dmxvisual.c

## Function Documentation

Colormap dmxColormapFromDefaultVisual | ( | ScreenPtr | pScreen,
|  | Visual * | visual |
| ) |  |  |

Return the colormap for the visual.

References _DMXScreenInfo::beDefColormaps, _DMXScreenInfo::beDisplay, _DMXScreenInfo::beNumDefColormaps, _DMXScreenInfo::beVisuals, and dmxScreens.

Referenced by dmxGetDefaultWindowAttributes().

Visual* dmxLookupVisual | ( | ScreenPtr | pScreen,
|  | VisualPtr | pVisual |
| ) |  |  |

Return the visual that matched pVisual.

References _DMXScreenInfo::beDisplay, _DMXScreenInfo::beNumVisuals, _DMXScreenInfo::beVisuals, and dmxScreens.

Referenced by dmxBECreateColormap(), and dmxLookupVisualFromID().

Visual* dmxLookupVisualFromID | ( | ScreenPtr | pScreen,
|  | VisualID | vid |
| ) |  |  |

Return the visual that matched the vid.

References _DMXScreenInfo::beDisplay, dmxLookupVisual(), and dmxScreens.

Referenced by dmxCreateWindow(), and dmxGetDefaultWindowAttributes().

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>